Package org.gradle.tooling.provider.model

## Interface ToolingModelBuilderRegistry

-     public interface ToolingModelBuilderRegistry

  A registry of tooling model builders. Adding a builder to this registry makes a model (or models) available via the tooling API.

  An instance of this type can be injected into a task, plugin or other object by annotating a public constructor or property getter method with `javax.inject.Inject`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ToolingModelBuilder` | `getBuilder​(java.lang.String modelName)` |
    `void` | `register​(ToolingModelBuilder builder)` |

- - ### Method Detail

    - #### register

          void register​(ToolingModelBuilder builder)

    - #### getBuilder

          ToolingModelBuilder getBuilder​(java.lang.String modelName)
                                  throws UnknownModelException

      Throws:
        `UnknownModelException`